/* ARDUIPROG_KIDZ
 *  CH05B_Tempera2.ino
 *  OEN1703
    Lecture d'un capteur de temperature LM335 ou LM35
 */

int broAna = 14;  // Entree analogique A0
float fMesure = 0.0;

void setup() {
  Serial.begin(9600);
}

void loop() {
  prendreTemp();
  Serial.print( F("Tension lue en millivolts : \t") );
  Serial.println(fMesure, 0);
  Serial.print( F("Temperature en Celsius    : \t") );
  Serial.println( (fMesure/10) - 273.15, 1 ); // Si LM335 en Kelvin
//  Serial.println( (fMesure/10), 1 ); // Si LM35 en Celsius
  Serial.println("-----");
  delay(1000);
}

void prendreTemp() {
  fMesure = (float) analogRead(broAna);
  fMesure = (fMesure*5000) / 1024.0;  // Reconversion de 0-1023 en 0-5V
}

