// KristaLiq2
// OEN170331

#include <LiquidCrystal.h>
#define LIG1 0
#define LIG2 1

LiquidCrystal lcd(8, 9, 4, 5, 6, 7);

char tcMsg[2][17] = {"Je suis le mikon", 
                     " M'entends-tu ? " };  // !

void setup() {
  lcd.begin(16, 2);
}

void loop() {
  lcd.setCursor(0,LIG1);
  lcd.print(tcMsg[0]);                // !
  matrixer(1);
  delay(2000);
  
  lcd.setCursor(0,LIG2);
  lcd.print(tcMsg[1]);
  matrixer(0);
  delay(2000);
}

void matrixer(boolean sens) {
  for (byte yTour = 0; yTour < 16; yTour++) {
    lcd.setCursor(yTour, (sens?LIG1:LIG2) );   // !
    lcd.print(" ");
    lcd.setCursor(yTour, (sens?LIG2:LIG1) );
    lcd.print(tcMsg[sens][yTour]);
    delay(100);
  }
}

