// TestCapteur
// OEN 181111

#define brEnvoiPulse 12       // Broche TNG  du capteur
#define brRetourEcho 13       // Broche ECHO du capteur
#define LIMITE  40
float fDistance;

void setup() 
{ 
  Serial.begin(9600); 
  pinMode(brEnvoiPulse, OUTPUT); 
  pinMode(brRetourEcho, INPUT); 
}

void loop() 
{ 
  if (palper()) Serial.println(" Main en face !");
  else Serial.println(" Absence...");
  delay(1000);
}

boolean palper() {
  digitalWrite(brEnvoiPulse, LOW);  // De Telemaster
  delayMicroseconds(2); 
  digitalWrite(brEnvoiPulse, HIGH); 
  delayMicroseconds(10); 
  digitalWrite(brEnvoiPulse, LOW);
  fDistance = pulseIn(brRetourEcho, HIGH); 
  fDistance = fDistance / (29*2); 
  Serial.print(fDistance);
  if (fDistance < LIMITE) return(true); 
  else return(false);
}
